<template>
  <div class="page" data-name="produk">
    <!-- Top Navbar -->
    <div class="navbar">
      <div class="navbar-bg" style="background-image: linear-gradient(to right, #004d7a, #008793, #6d9987);"></div>
      <div class="navbar-inner">
        <div class="left">
          <a href="#" class="link icon-only panel-open" data-panel="left">
            <i class="icon f7-icons if-not-md" style="color: white;">menu</i>
            <i class="icon material-icons if-md" style="color: white;">menu</i>
          </a>
        </div>
        <div class="title" style="color: white;">Produk</div>
        <div class="right">
          <a href="/notifikasi/" class="link icon-only">
            <img src="https://tokoakbar.com/public/static/img/new_icon/notif.png">
            <!-- <i class="icon f7-icons if-not-md">menu</i>
            <i class="icon material-icons if-md">menu</i> -->
          </a>
        </div>
      </div>
    </div>
    <div class="page-content" style="background-color: #f6f6f6;"> 
       
            <div class="row">
              <div class="col-100 medium-100" style="padding:10px;color: white;"><b>Laporan Penjualan</b></div>
            </div>
                           
        <div class="row no-gap">
          <div class="col-33">
            <div class="card"  style="background-color: #fff;padding: 0;border-radius: 13px;
            border: none;height: 100px;margin-right: -1px;">
              <div class="card-header" style="font-size: 10px;">
                <b>Total Produk</b></div>
              <div class="card-content card-content-padding txttotalproduk" style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
            </div>
          </div>
          <div class="col-33">
            <div class="card" style="background-color: #fff;padding: 0;border-radius: 13px;
            border: none;height: 100px;margin-left: 5px;margin-right: 5px;">
              <div class="card-header" style="font-size: 10px;"><b>Produk Aktif</b></div>
              <div class="card-content card-content-padding txtprodukaktive" style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
            </div>
          </div>
          <div class="col-33">
            <div class="card" style="background-color: #fff;padding: 0;border-radius: 13px;
            border: none;height: 100px;margin-left: -1px;">
              <div class="card-header" style="font-size: 10px;"><b>Produk Tidak Aktif</b></div>
              <div class="card-content card-content-padding txtproduktdkaktive" style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
            </div>
          </div>
        </div>

        <form class="searchbar">
            <div class="searchbar-inner">
            <div class="searchbar-input-wrap">
                <input type="search" placeholder="Search">
                <i class="searchbar-icon"></i>
                <span class="input-clear-button"></span>
            </div>
            <span class="searchbar-disable-button if-not-aurora">Cancel</span>
            </div>
        </form>

        <div class="row" style="margin-bottom: -20px;">
          <div class="col-100 medium-100" style="padding:10px;color: white;margin-bottom: -10px;"><b>Semua Produk</b></div>
        </div>
      <!-- list -->
      <!-- <div class="list">
        <ul style="margin-left: 10px;margin-right: 10px;border-radius: 10px;">
          <li>
            <div class="item-content">
              <div class="item-inner">
              <div class="item-title"><b>Nama Produk</b></div>
              <div class="item-after"><b>Kategori</b></div>
              <div class="item-after"><b>Sisa Stok</b></div> 
              </div>
            </div>
          </li> -->
          <!-- {{#each produk}} -->
          <!-- <li>
            <div class="item-content">
              <div class="item-media"><img src="img/logo.png"></div> -->
              <!-- <div class="item-inner">
                <div class="item-title">{{this.nama}}</div>
                <div class="item-after">{{this.nama_kategori}}</div>
                <div class="item-after">{{this.harga_jual}}</div>
              </div>
            </div>
          </li> -->
          <!-- {{/each}} -->
        <!-- </ul>
      </div> -->
      
      <div class="list">
        <ul>
          {{#each produk}}
          <li>
            <a href="#" class="item-link item-content">
              <!-- <div class="item-media"><i class="icon icon-f7"></i></div> -->
              <div class="item-inner">
                <div class="item-title">
                  <div class="item-header">{{this.nama_kategori}}</div>
                  {{this.nama}}
                  <div class="item-footer">Rp. {{this.harga_jual}}</div>
                </div>
                <div class="item-after">Lihat</div>
              </div>
            </a>
          </li>
          {{/each}}
        </ul>
      </div>
      <!-- <div class="preloader infinite-scroll-preloader"></div> -->
      <!-- end list -->

      <!-- end page -->

      <!-- end page -->
  
</div>
  </div>
</template>
<style>
  p {
    margin: 10px 0;
  }
</style>
<script>
  import $$ from 'dom7';
  export default {
    // Lifecycle Hooks
    beforeCreate() {
      console.log('componentBeforeCreate', this)
    },
    created() {
      console.log('componentCreated', this)
    },
    beforeMount() {
      console.log('componentBeforeMount', this)
    },
    mounted() {
      console.log('componentMounted', this);
    },
    beforeDestroy() {
      console.log('componentBeforeDestroy', this);
    },
    destroyed() {
      console.log('componentDestroyed', this);
    },
    // Component Data
    data: function () {
      // Must return an object
      return {
        name: 'Jimmy',
        age: 25,
        like: ['Tennis', 'Chess', 'Football'],
      }
    },
    // Component Methods
    methods: {
      openAlert: function () {
        var self = this;
        self.$app.dialog.alert('Hello World');
      },
    },
    // Page Events
    on: {
      pageMounted: function(e, page) {
        console.log('pageMounted', page);
      },
      pageInit: function(e, page) {
        // console.log('pageInit', page);

          const self = this;
          const app = self.$f7;
          // var $ = f7.$;

          app.preloader.show();
          // request user data on page init
          // app.request.get(urlApi+'api/produk', (data) => {
          app.request.get('https://backoffice.tokoakbar.com/api/produk', (data) => {
            // update component state with new state
            self.$setState({
              produk: data,
            });
            app.preloader.hide();
          },'json');
                
        // create searchbar
        var searchbar = app.searchbar.create({
            el: '.searchbar',
            searchContainer: '.list',
            searchIn: '.item-title',
            on: {
              search(sb, query, previousQuery) {
                console.log(query, previousQuery);
              }
            }
          });

          //tampil data
          app.request.get('https://backoffice.tokoakbar.com/api/total_penjualan', (data) => {
            
            $$('.txtprodukaktive').text(data.produk_aktive);
            $$('.txtproduktdkaktive').text(data.produk_nonaktive);
            $$('.txttotalproduk').text(data.total_produk);
            $$('#txttotaltransaksi').text(data.total_transaksi);
            $$('#txttotalpenjualan').text(data.total_penjualan);
          },'json');
      },
      pageBeforeIn: function(e, page) {
        console.log('pageBeforeIn', page);
      },
      pageAfterIn: function(e, page) {
        console.log('pageAfterIn', page);
      },
      pageBeforeOut: function(e, page) {
        console.log('pageBeforeOut', page);
      },
      pageAfterOut: function(e, page) {
        console.log('pageAfterOut', page);
      },
      pageBeforeRemove: function(e, page) {
        console.log('pageBeforeRemove', page);
      },
    }
  }
</script>
